<%@ page language="C#" autoeventwireup="true" inherits="user_company, kfenlei" %><%@ Register TagPrefix="qth8" TagName="userManageLeft" Src="~/inc/userManageLeft.ascx" %><%@ Register TagPrefix="qth8" TagName="userManageTop" Src="~/inc/userManageTop.ascx" %><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title><%=sWebName %> - 商家资料</title>
<link rel="stylesheet" type="text/css" href="css.css" />
<link rel="stylesheet" type="text/css" href="/template/css.css" />
</head>
<body>
<div align="center">
<qth8:userManageTop runat="server" ID="userManageTop" selectValue="3" />
<script type="text/javascript" language="javascript" src="/js/layui.js"></script>
<link href="/js/css/layui.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
layui.use(['form','laydate'], function(){
var form = layui.form();
    form.render();
	form.on('select(address)', function(data){
acLoadAddress($("#address").val(),"");
});
	form.on('select(sort)', function(data){
acLoadBizSort($("#sort").val(),"");
});
});
</script>
<div class="main" align="left">
<div class="clear"></div>
<qth8:userManageLeft runat="server" selectValue="1" ID="userManageLeft" />
<div class="userRight">
<div class="userRightContent">
<div class="userRightContentTop"><%=sZhuangtai %>商家资料</div>
<form action="action.aspx?s=usermess" onsubmit="return valiForm()" class="layui-form" method="post" name="userMessEdit">
<table width="970" class="formTable" border="0" cellspacing="0" cellpadding="5">
<tr>
<td class="head" width="100">企业图标：</td>
<td width="520"><img src="" width="100" height="100" id="imgpic" style="border:1px solid #dedede; cursor:pointer;" class="fl5" onclick="$('#upfileDiv').fadeIn(800)" />
<input class="inputText" onclick="alert('请点击上传，进行修改！')" value="<%=pic%>" name="pic" id="pic" type="hidden" size="40" /> <a href="#nogo" onclick="showDiv('upfileDiv')" class="btn_1 fl5">上传</a>
<div class="clear"></div>
<div class="upfileDiv" id="upfileDiv">
<div class="upfileClose" onclick="hideDiv('upfileDiv')">关闭</div>
<iframe width="300" height="100" style=" padding:0px; margin:0px;" src="actionUpLoad.aspx?tn=pic&fn=userMessEdit&size=200,0&js=top.hideDiv('upfileDiv');top.valiUpPic('pic','imgpic','{picUrl}');" frameborder="0" scrolling="no"></iframe>
</div></td>
<td class="commentary">公司的标志或LOGO</td> 
</tr>
<tr>
<td class="head">企业分类：</td>
<td><div class="post_city"><div><%=tools.showBizSortSelectAdmin("sort","sort_1") %></div></div></td>
<td class="commentary"></td> 
</tr>
<tr>
<td class="head">所在地：</td>
<td><div class="post_city"><div><%=tools.showAddressSelect("address","city") %></div></div></td>
<td class="commentary">&nbsp;</td> 
</tr>
<tr>
<td class="head">企业名称：</td>
<td><input name="name" value="<%=name%>" type="text" class="textInput" size="40" /></td>
<td class="commentary">&nbsp;</td>
</tr>
<tr>
<td class="head">电话：</td>
<td><input name="phone" value="<%=phone%>" type="text" class="textInput" size="25" /></td>
<td class="commentary">格式为 城市区号-电话号 </td>
</tr>
<tr>
<td class="head">手机：</td>
<td><input name="tel" value="<%=tel%>" type="text" class="textInput" size="25" /></td>
<td class="commentary">&nbsp;</td>
</tr>
<tr>
<td class="head">ＱＱ：</td>
<td><input name="qq" value="<%=qq%>" type="text" class="textInput" size="25" /></td>
<td class="commentary">&nbsp;</td>
</tr>
<tr>
<td class="head">邮箱：</td>
<td><input name="email" value="<%=email%>" type="text" class="textInput" size="25" /></td>
<td class="commentary"></td>
</tr>
<tr>
<td class="head">营业时间：</td>
<td><input name="businesshours" value="<%=businesshours%>" type="text" class="textInput" size="50" /></td>
<td class="commentary">&nbsp;</td>
</tr>
<tr>
<td class="head">企业地址：</td>
<td><input name="address_1" value="<%=address_1%>" type="text" class="textInput" size="50" /></td>
<td class="commentary">&nbsp;</td>
</tr>
<tr>
<td class="head">企业简介：</td>
<td><textarea class="postTextarea" name="about" rows="6" cols="50"><%=about%></textarea></td>
<td class="commentary">&nbsp;</td>
</tr>
<tr><td></td><td><input type="submit" class="inputSubmit" value="<%=sZhuangtai %>商家资料" /></td><td></td></tr>
</table>
</form>
<script language="javascript" type="text/javascript">
function valiUpPic(picInputId,picId,picValue)
  {
	if(document.getElementById(picInputId)!=null)
	{
  		document.getElementById(picInputId).value=picValue;	
	}
	if(document.getElementById(picId)!=null)
	{
		if(picValue!="")
		{
			document.getElementById(picId).src="/"+picValue;
		}
		else
		{
			document.getElementById(picId).src="/user/images/nopic2.gif";
		}
		
	}
  }
  valiUpPic('pic','imgpic','<%=pic%>');
  function showDiv(divId)
  {
  	document.getElementById(divId).style.display="block"
  }
  function hideDiv(divId)
  {
  	document.getElementById(divId).style.display="none"
  }
  
$("#address").val("<%=address %>");
$("#sort").val("<%=sort%>");
acLoadAddress("<%=address %>","<%=city %>")
acLoadBizSort("<%=sort%>","<%=sort_1%>");
  
function valiForm()
{
  if(document.userMessEdit.name.value.length>50)
    {
        alert("填写企业名称请保持在50字以内！")
        return false
    }
    if(document.userMessEdit.address_1.value.length>100)
    {
        alert("填写企业地址请保持在100字以内！")
        return false
    }
    if(document.userMessEdit.phone.value.length>15)
    {
        alert("填写电话号请保持在15字以内！")
        return false
    }
    if(document.userMessEdit.tel.value.length>11)
    {
        alert("填写手机号请保持在11字以内！")
        return false
    }
    if(document.userMessEdit.qq.value.length>11)
    {
        alert("填写QQ号请保持在11字以内！")
        return false
    }
    return true
  }
  </script>
</div></div>
</div></div>
</body>
</html>
